# CoinFactorizationLongDoubleArrayWithLength Class Reference

CoinFactorizationLongDouble * version. More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinFactorizationLongDoubleArrayWithLength:
[legend]
Collaboration diagram for CoinFactorizationLongDoubleArrayWithLength:
[legend]

List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
long double * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
long double * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinFactorizationLongDoubleArrayWithLength ()
| Default constructor - NULL.
| CoinFactorizationLongDoubleArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinFactorizationLongDoubleArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinFactorizationLongDoubleArrayWithLength (const CoinFactorizationLongDoubleArrayWithLength &rhs)
| Copy constructor.
| CoinFactorizationLongDoubleArrayWithLength (const CoinFactorizationLongDoubleArrayWithLength *rhs)
| Copy constructor.2.
CoinFactorizationLongDoubleArrayWithLength & | operator= (const CoinFactorizationLongDoubleArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

CoinFactorizationLongDouble * version.

Definition at line 727 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinFactorizationLongDoubleArrayWithLength::CoinFactorizationLongDoubleArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 757 of file CoinIndexedVector.hpp.

CoinFactorizationLongDoubleArrayWithLength::CoinFactorizationLongDoubleArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 760 of file CoinIndexedVector.hpp.

CoinFactorizationLongDoubleArrayWithLength::CoinFactorizationLongDoubleArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 766 of file CoinIndexedVector.hpp.

CoinFactorizationLongDoubleArrayWithLength::CoinFactorizationLongDoubleArrayWithLength | ( | const CoinFactorizationLongDoubleArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 769 of file CoinIndexedVector.hpp.

CoinFactorizationLongDoubleArrayWithLength::CoinFactorizationLongDoubleArrayWithLength | ( | const CoinFactorizationLongDoubleArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 772 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinFactorizationLongDoubleArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 733 of file CoinIndexedVector.hpp.

long double* CoinFactorizationLongDoubleArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 736 of file CoinIndexedVector.hpp.

void CoinFactorizationLongDoubleArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 743 of file CoinIndexedVector.hpp.

long double* CoinFactorizationLongDoubleArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 750 of file CoinIndexedVector.hpp.

CoinFactorizationLongDoubleArrayWithLength& CoinFactorizationLongDoubleArrayWithLength::operator= | ( | const CoinFactorizationLongDoubleArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Reimplemented from CoinArrayWithLength.

Definition at line 775 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/CoinUtils-2.10.9/CoinUtils/src/CoinIndexedVector.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines